org.richfaces.skin

## Class SkinFactoryImpl

- java.lang.Object
- - org.richfaces.skin.SkinFactory
  - - org.richfaces.skin.AbstractSkinFactory
    - - org.richfaces.skin.SkinFactoryImpl

-     public class SkinFactoryImpl
      extends AbstractSkinFactory

  Implementation of `SkinFactory` with building skins from properties files.
  Author:
    shura

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SkinFactoryImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.richfaces.skin.Skin` | `getBaseSkin(javax.faces.context.FacesContext context)`
    `org.richfaces.skin.Skin` | `getDefaultSkin(javax.faces.context.FacesContext context)`
    `org.richfaces.skin.Skin` | `getSkin(javax.faces.context.FacesContext context)`
    `protected org.richfaces.skin.Skin` | `getSkinOrName(javax.faces.context.FacesContext context, boolean useBase)` Calculate name for current skin.
    `org.richfaces.skin.Theme` | `getTheme(javax.faces.context.FacesContext facesContext, String name)`

    - ### Methods inherited from class org.richfaces.skin.AbstractSkinFactory

      `buildSkin, getSkin, loadProperties, processProperties`

    - ### Methods inherited from class org.richfaces.skin.SkinFactory

      `getInstance, getInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SkinFactoryImpl

          public SkinFactoryImpl()

  - ### Method Detail

    - #### getDefaultSkin

          public org.richfaces.skin.Skin getDefaultSkin(javax.faces.context.FacesContext context)

      Specified by:
        `getDefaultSkin` in class `org.richfaces.skin.SkinFactory`

    - #### getSkin

          public org.richfaces.skin.Skin getSkin(javax.faces.context.FacesContext context)

      Specified by:
        `getSkin` in class `org.richfaces.skin.SkinFactory`

    - #### getBaseSkin

          public org.richfaces.skin.Skin getBaseSkin(javax.faces.context.FacesContext context)

      Specified by:
        `getBaseSkin` in class `org.richfaces.skin.SkinFactory`

    - #### getSkinOrName

          protected org.richfaces.skin.Skin getSkinOrName(javax.faces.context.FacesContext context,
                                              boolean useBase)

      Calculate name for current skin. For EL init parameter store value binding for speed calculations.
      Parameters:
        `context` -
        `useBase` -
      Returns:
        name of currens skin from init parameter ( "DEFAULT" if no parameter ) or `Skin` as result of evaluation EL expression.

    - #### getTheme

          public org.richfaces.skin.Theme getTheme(javax.faces.context.FacesContext facesContext,
                                          String name)

      Specified by:
        `getTheme` in class `org.richfaces.skin.SkinFactory`

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.